org.eclipse.emf.facet.custom.ui

## Interface ICustomizedTreeContentProvider

    public interface ICustomizedTreeContentProvider

An `ITreeContentProvider` which is implemented and customizable using the EMF Facet customization mechanisms.

Since:
  0.2
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`ICustomizationManager` `getCustomizationManager()` This method returns the customization manager used by the content provider.

### Method Detail

#### getCustomizationManager

    ICustomizationManager getCustomizationManager()

This method returns the customization manager used by the content provider. Updates to the list of loaded customizations have to be done using the `ICustomizationManager` returned by this method.

Returns:
  the customization manager used by this content provider.